MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028249Open CASCADE[OCCT] OCCT:Documentationpublic2016-12-20 12:442017-08-18 17:00
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028249: Upgrade Guide - mention need to use option -std=c++0x when using GCC
DescriptionSince OCCT 7.0, building OCCT or dependent projects with GCC compiler (e.g. on Linux) requires use of option -std=c++0x (or -std=c++11 when available). This needs to be reflected in the Upgrade Guide.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069461)
git (administrator)
2017-08-16 15:18

Branch CR28249 has been created by kgv.

SHA-1: 9c458172c3ce61ec07dfc046bdadff2826ba3757


Detailed log of new commits:

Author: kgv
Date: Wed Aug 16 15:18:13 2017 +0300

    0028249: Upgrade Guide - mention need to use option -std=c++0x when using GCC
(0069462)
kgv (developer)
2017-08-16 15:19

Patch is ready for review.
(0069473)
git (administrator)
2017-08-16 16:40

Branch CR28249_1 has been created by abv.

SHA-1: 46224bc9ec92b293515c602ce631f202e90e5eb3


Detailed log of new commits:

Author: abv
Date: Wed Aug 16 16:40:01 2017 +0300

    0028249: Upgrade Guide - mention need to use option -std=c++0x when using GCC
(0069474)
abv (manager)
2017-08-16 16:40

I have pushed alternative version to branch CR28249_1, please look
(0069476)
kgv (developer)
2017-08-16 16:49

Please take the patch, testing is not needed.
(0069619)
git (administrator)
2017-08-18 17:00

Branch CR28249 has been deleted by kgv.

SHA-1: 9c458172c3ce61ec07dfc046bdadff2826ba3757
(0069620)
git (administrator)
2017-08-18 17:00

Branch CR28249_1 has been deleted by kgv.

SHA-1: 46224bc9ec92b293515c602ce631f202e90e5eb3

- Related Changesets
occt: master 0ef598d0
Timestamp: 2017-08-16 13:40:01
Author: abv
Committer: bugmaster
Details ] Diff ]
0028249: Upgrade Guide - mention need to use option -std=c++0x when using GCC
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-20 12:44 abv New Issue
2016-12-20 12:44 abv Assigned To => ysn
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0
2017-08-15 17:10 abv Assigned To ysn => abv
2017-08-15 17:10 abv Status new => assigned
2017-08-16 15:16 kgv Summary Upgrade Guide -- mention need to use option -std=c++0x when using GCC => Upgrade Guide - mention need to use option -std=c++0x when using GCC
2017-08-16 15:18 git Note Added: 0069461
2017-08-16 15:19 kgv Note Added: 0069462
2017-08-16 15:19 kgv Status assigned => resolved
2017-08-16 16:40 git Note Added: 0069473
2017-08-16 16:40 abv Note Added: 0069474
2017-08-16 16:40 abv Assigned To abv => kgv
2017-08-16 16:49 kgv Note Added: 0069476
2017-08-16 16:49 kgv Assigned To kgv => bugmaster
2017-08-16 16:49 kgv Severity minor => integration request
2017-08-16 16:49 kgv Status resolved => reviewed
2017-08-16 20:05 bugmaster Status reviewed => tested
2017-08-18 12:53 bugmaster Changeset attached => occt master 0ef598d0
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 13:02 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069619
2017-08-18 17:00 git Note Added: 0069620


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker